org.apache.flume.source.scribe

## Class Scribe.AsyncClient.Factory

- java.lang.Object
- - org.apache.flume.source.scribe.Scribe.AsyncClient.Factory

- All Implemented Interfaces:
    org.apache.thrift.async.TAsyncClientFactory<Scribe.AsyncClient>
  Enclosing class:
    Scribe.AsyncClient

      public static class Scribe.AsyncClient.Factory
      extends Object
      implements org.apache.thrift.async.TAsyncClientFactory<Scribe.AsyncClient>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scribe.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.protocol.TProtocolFactory protocolFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scribe.AsyncClient` | `getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scribe.AsyncClient.Factory

          public Scribe.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager,
                                    org.apache.thrift.protocol.TProtocolFactory protocolFactory)

  - ### Method Detail

    - #### getAsyncClient

          public Scribe.AsyncClient getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)

      Specified by:
        `getAsyncClient` in interface `org.apache.thrift.async.TAsyncClientFactory<Scribe.AsyncClient>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.